
<html>

<!-- THIS WORK IS SUBJECT TO U.S. AND INTERNATIONAL COPYRIGHT LAWS AND TREATIES.
  USE AND REDISTRIBUTION OF THIS WORK IS SUBJECT TO THE LICENSE AGREEMENT 
  ACCOMPANYING THE SOFTWARE DEVELOPMENT KIT (SDK) THAT CONTAINS THIS WORK.
  PURSUANT TO THE SDK LICENSE AGREEMENT, NOVELL HEREBY GRANTS TO DEVELOPER 
  A ROYALTY-FREE, NON-EXCLUSIVE LICENSE TO INCLUDE NOVELL'S SAMPLE CODE IN 
  ITS PRODUCT. NOVELL GRANTS DEVELOPER WORLDWIDE DISTRIBUTION RIGHTS TO MARKET,
  DISTRIBUTE, OR SELL NOVELL'S SAMPLE CODE AS A COMPONENT OF DEVELOPER'S PRODUCTS.
  NOVELL SHALL HAVE NO OBLIGATIONS TO DEVELOPER OR DEVELOPER'S CUSTOMERS WITH 
  RESPECT TO THIS CODE.



Name:	      DeleteStore.asp
Description:  This page displays all the stores created and then deletes them by:
			  - Removing the NDS OU entry for the store including all users registered.
			  - Deleting the Oracle database tables for the store.
			  - Deleting the directory for the store.
			  - Removing reference to the store in the User.ini file.

Author:	     Anantha Kesari H Y, Anand Vibhor

Date:	     7th Feb, 2000.
-->


<head>
  <title>Delete a Web Store</title>
</head>

<body BGCOLOR="#FCF4E0">


<div align="center"><font size="5">Delete a Web Store</div>
<br><br><br><br>

<div align="center"><font size="5">


<%
  On Error Resume Next

  If ((Request("UserName") <> "") AND (Request("Delete") <> "")) Then
    On Error Resume Next

'    The the StoreName, the database UserName, the FolderName and the OU entry in the directory
'    are all same.


'    Drop the user in Oracle Database

    Set cn = CreateObject("UCX:NDODB.CONNECTION")
    cn.Open "DBTYPE=0;DATABASE=ORANW81", "System", "Manager"

    lRec=0
    UserQuery = "DROP USER " & UserName & " CASCADE"
    Set RS = cn.Execute(UserQuery, lRec)
    cn.Close



'    Remove the store entry from the directory.

    Set dir = CreateObject("UCX:NWDIR")

    DDMerchantID = Application("NW_USERNAME")
    DDPassword = Application("NW_PASSWORD")
    dir.Login (DDMerchantID, DDPassword)

    StoreName = UserName
    FullName = dir.FullName
    FullName = FullName & "\" & StoreName

    Set ouObj = dir.FindEntry(FullName)
    Set entries=ouObj.Entries

    Count=entries.Count

    for i=0 to (count-1)
	  entries.Remove(0)
    Next

    FullName = dir.FullName
    Set ouObj = dir.FindEntry(FullName)
    Set entries=ouObj.Entries
    entries.Remove(StoreName)
	dir.logout



'    Delete the folder on the server

    Set Prof = CreateObject("UCX:Profile")
    FolderName = Prof.Read ("USER.INI", "APP", trim(UserName), "")

    Set FSO = CreateObject("UCX:FileSystemObject")

    If FSO.FolderExists(trim(FolderName)) Then
      Set Folder = FSO.GetFolder(trim(FolderName))
      Deleted = Folder.Delete()
      If Deleted=FALSE Then
        Response.Write "Could not delete the folder corresponding to the Store."
        Exit Sub
      End If
    End If

    Prof.Write ("USER.INI", "APP", trim(UserName), "")

    Response.Write "The web store <b>" & UserName & "</b> is successfully deleted!<br><br><br>"

    UserName = ""
    Delete = ""

  Else

'   Here check is made whether the user wanting to delete the store is valid or not.
'   Only the administrator of the server (or can we call him the administrator of the site that
'   hosts web stores) can delete the store. This is not to be confused with store manager since
'   he has administration capabilities only to administer only his web store. He cannot delete his
'   store.

'   This is obtained once in the beginning by getting the user name and password of the admin
'   who installs our software. These are stored in the "applcat.ini" file in the manager area and
'   read below to authenticate. Only after that he can use the "manager" and view sample store or
'   create a new store or delete an existing store.



    DUMerchantID = Application("NW_USERNAME")
    DUPassword = Application("NW_PASSWORD")

    If DelUserMerchantID <> DUMerchantID Then
      Response.Write "<div align='center'><font size='5' color='red'> <br><br><br><br> Invalid User Name. </font></div>"
      Exit Sub
      Else If DelUserPassword <> DUPassword Then
        Response.Write "<div align='center'><font size='5' color='red'> <br><br><br><br> Invalid Password. </font></div>"
        Exit Sub
    End if
    Response.Cookies("Login_Administrator_Success") = "TRUE"

  Endif

%>

</font>


<!-- display a form -->
<form name="Form1" Method="Post" Action="DeleteStore.asp">


<%
'  Create a connection object and open the database

  Set Prof = CreateObject("UCX:PROFILE")
  ReadVal = Prof.Read ("USER.INI", "APP", "", "")

  PosCurrent=1
  PosPrev=1
%>

<font size= 4>

<%
  Response.write "List of available Web Stores or Users: " 
%>

<select name="UserName" size="1"></font>

<%
  Do While True
    PosCurrent=InStr(PosPrev, ReadVal, "&", 1)
    If PosCurrent<>0 Then
      Length=PosCurrent-PosPrev
      User=Mid(ReadVal, PosPrev, Length)
      PosPrev=PosCurrent+1	' To point to the character next to '&'
      Response.write "<option value='" & (CStr(User)) & "'>" & (CStr(User)) & "</option>"
    Else
      Length = Len(ReadVal) - PosPrev + 1		' +1 is to include the last character in the string.
      User=Mid(ReadVal, PosPrev, Length)
      Response.write "<option value='" & (CStr(User)) & "'>" & CStr(User) &"</option>"
      Exit Do
    End If
  Loop
%>

</select>
</div>

<br><br><br><br>
<font size=4> <div ALIGN="center"><input type="Submit" name="Delete" value="Delete"> </div></font>

</form>

</body>

</html>

